Bug 1514934 - Review Request: esh - Simple templating engine based on shell
Summary: Review Request: esh - Simple templating engine based on shell
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-19 14:50 UTC by Miro Hrončok
Modified: 2017-12-10 05:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-10 05:03:25 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Miro Hrončok 2017-11-19 14:50:54 UTC
Spec URL: https://churchyard.fedorapeople.org/SRPMS/esh.spec
SRPM URL: https://churchyard.fedorapeople.org/SRPMS/esh-0.1.0-1.fc27.src.rpm

Description: esh (embedded shell) is a templating engine for evaluating shell commands embedded in arbitrary templates. It’s like ERB (Embedded RuBy) for shell, intended to be used for templating configuration files.

Fedora Account System Username: churchyard

Comment 1 Robert-André Mauchin 2017-11-19 16:21:43 UTC
 - Please package the latest version, version 0.1.1.

 - make %{?_smp_mflags} → %make_build

 - make install prefix=%{_prefix} DESTDIR=%{buildroot} → %make_install prefix=%{_prefix}

Comment 2 Miro Hrončok 2017-11-19 17:34:34 UTC
Spec URL: https://churchyard.fedorapeople.org/SRPMS/esh.spec
SRPM URL: https://churchyard.fedorapeople.org/SRPMS/esh-0.1.1-1.fc27.src.rpm


* Sun Nov 19 2017 Miro Hrončok <mhroncok@redhat.com> - 0.1.1-1
- Update to 0.1.1, use %%make macros

Comment 3 Robert-André Mauchin 2017-11-19 18:02:31 UTC
Package accepted.

Comment 4 Miro Hrončok 2017-11-19 20:01:06 UTC
Thank you for the swift review and accepting this. Your short comment however makes me feel a bit uncertain. Have you checked all the things described in https://fedoraproject.org/wiki/Packaging:ReviewGuidelines ?

Comment 5 Robert-André Mauchin 2017-11-19 20:31:20 UTC
I run fedora-review for all my reviews. Here the full review if you want it:


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 27 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/esh/review-esh/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: esh-0.1.1-1.fc28.noarch.rpm
          esh-0.1.1-1.fc28.src.rpm
esh.noarch: W: spelling-error Summary(en_US) templating -> contemplating, template, tempting
esh.noarch: W: spelling-error %description -l en_US templating -> contemplating, template, tempting
esh.noarch: W: incoherent-version-in-changelog 0.1.0-1 ['0.1.1-1.fc28', '0.1.1-1']
esh.src: W: spelling-error Summary(en_US) templating -> contemplating, template, tempting
esh.src: W: spelling-error %description -l en_US templating -> contemplating, template, tempting
2 packages and 0 specfiles checked; 0 errors, 5 warnings.

Comment 6 Miro Hrončok 2017-11-19 20:42:23 UTC
Thanks.

Comment 7 Gwyn Ciesla 2017-11-20 15:41:12 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/esh. You may commit to the branch "f27" in about 10 minutes.

Comment 8 Fedora Update System 2017-11-21 09:30:00 UTC
esh-0.1.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4b5d9ba50a

Comment 9 Fedora Update System 2017-11-22 06:32:20 UTC
esh-0.1.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4b5d9ba50a

Comment 10 Fedora Update System 2017-12-10 05:03:25 UTC
esh-0.1.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.